<?php

date_default_timezone_set('America/Sao_Paulo');

if(!isset($_SESSION)) {
  session_start();
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  require_once 'inc/regras_comissionamento.php';
  $redirect = 'erpc_regras_comissionamento_list.php';
  $regras_comissionamento = regras_comissionamento_create();
  if (isset($_POST['regras_comissionamento'])) {
    $regras_comissionamento = array_replace_recursive($regras_comissionamento, $_POST['regras_comissionamento']);
  }
  if (isset($_POST['btn-add'])) {
    $ok = regras_comissionamento_insert($regras_comissionamento);
    if ($ok === false) {
      $redirect = 'erpc_regras_comissionamento_add.php';
    }
  } else if (isset($_POST['btn-edit'])) {
    $ok = regras_comissionamento_update($regras_comissionamento);
    if ($ok === false) {
      $redirect = 'erpc_regras_comissionamento_edit.php?id=' . urlencode(base64_encode($regras_comissionamento['id']));
    }
  } else if (isset($_POST['btn-remove'])) {
    $ok = regras_comissionamento_delete($regras_comissionamento);
    if ($ok === false) {
      $redirect = 'erpc_regras_comissionamento_remove.php?id=' . urlencode(base64_encode($regras_comissionamento['id']));
    }
  }
  header("Location:$redirect");
  exit;
}
